%define name fprobe-ulog
%define fprobedir %_localstatedir/%name
%define fuser _fprobe

Name: %name
Version: 1.1
Release: alt1
Summary: fprobe-ulog: a NetFlow probe
Group: Monitoring
License: GPL
Url: http://fprobe.sourceforge.net
Source: %name-%version.tar.bz2
Source1: %name.init
Source2: %name.sysconfig

BuildRequires: gcc

Requires: shadow-utils

%description
fprobe-ulog - libipulog-based tool that collect network traffic data
and emit it as NetFlow flows towards the specified collector.

This daemon will be run in chroot()-ed environment as non-privileged
user.

Also note that package builded with memory optimisation
(--with-hash=xor8). See included README for details.

%prep
%setup -q

%build
%configure --sbindir=%_sbindir --with-piddir=/ --with-hash=xor8
%__make

%install
%makeinstall

%__mkdir_p %buildroot%_initdir
%__install %SOURCE1 %buildroot%_initdir/%name

%__mkdir_p %buildroot%_sysconfdir/sysconfig
%__install %SOURCE2 %buildroot%_sysconfdir/sysconfig/%name

%__mkdir_p %buildroot%fprobedir

%pre
/usr/sbin/useradd -r -d %fprobedir -s /dev/null -n %fuser >/dev/null 2>&1 ||:

%post
%post_service %name

%preun
%preun_service %name

%files
%_initdir/%name
%_sbindir/*
%_man8dir/*
%doc AUTHORS ChangeLog NEWS README COPYING TODO

%config(noreplace) %_sysconfdir/sysconfig/%name

%defattr(-,%fuser,root)
%fprobedir

%changelog
* Sat Sep 23 2006 Terechkov Evgenii <evg@altlinux.ru> 1.1-alt1
- Build for Sisyphus
- chroot-related aspects improved. Now will NOT run not-chrooted without hacking.
- pseudouser added instead nobody

* Mon Aug 21 2006 Terechkov Evgenii <evg@altlinux.ru> 1.1-alt0.C30.1
- Initial build for C30
